<template>
  <div class="card" v-on:click="setCardSelected">
  <div class="card-image">
    <figure class="image is-128x128">
      <img
          class="photoEmployee"
          :src="getImage()"
          alt="Placeholder image"
      ></img>
    </figure>
  </div>
  <div class="card-content">
    <div class="content">
        <p id="employee-name" class="subtitle is-6">{{ employee.name }}</p>
        <p class="title is-4">{{ employee.surname }}</p>
      </div>
    </div>
  </div>
</template>

<script>
import {mapActions} from 'vuex'

export default {
  name: 'EmployeeList',
  props: ['employee'],
  methods: {
    ...mapActions(['setActiveCard']),
    setCardSelected() {
      this.setActiveCard(this.employee.id)
    },
    getImage(){
      if (this.employee.photo.length > 0) {
        return this.employee.photo[0]
      }
      return ''
    }
  }
}
</script>
<style lang="scss">
  .card {
    margin: 4rem;
    .card-image {
      .image {
        margin: auto;
        padding: 0.5rem;
      }
    }
  }
</style>
